<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.AssetDownloader Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_asset_downloader.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_tri_lib_1_1_asset_downloader-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.AssetDownloader Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents an asset downloader.  
 <a href="class_tri_lib_1_1_asset_downloader.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.AssetDownloader:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_asset_downloader.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a19df8141f8b7365c27854859208918d5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#a19df8141f8b7365c27854859208918d5">DownloadAsset</a> (string assetURI, string assetExtension, <a class="el" href="namespace_tri_lib.html#a9daf3939b26812f1c6b8ce45223cebde">ObjectLoadedHandle</a> onAssetLoaded=null, <a class="el" href="namespace_tri_lib.html#ac56fe0608cd21923e33256816495b4f5">TexturePreLoadHandle</a> onTexturePreLoad=null, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options=null, GameObject wrapperGameObject=null, <a class="el" href="class_tri_lib_1_1_assimp_interop.html#a870509c848be41938e5efe2df2dac82c">AssimpInterop.ProgressCallback</a> progressCallback=null)</td></tr>
<tr class="memdesc:a19df8141f8b7365c27854859208918d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Downloads an asset.  <a href="class_tri_lib_1_1_asset_downloader.html#a19df8141f8b7365c27854859208918d5">More...</a><br /></td></tr>
<tr class="separator:a19df8141f8b7365c27854859208918d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a0e9d788cb0c7838a9749ef57c0442f30"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#a0e9d788cb0c7838a9749ef57c0442f30">AutoStart</a> = true</td></tr>
<tr class="memdesc:a0e9d788cb0c7838a9749ef57c0442f30"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to start the download automatically.  <a href="class_tri_lib_1_1_asset_downloader.html#a0e9d788cb0c7838a9749ef57c0442f30">More...</a><br /></td></tr>
<tr class="separator:a0e9d788cb0c7838a9749ef57c0442f30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22bb387ce8a07c417144fbcd18e49c0a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#a22bb387ce8a07c417144fbcd18e49c0a">AssetURI</a></td></tr>
<tr class="memdesc:a22bb387ce8a07c417144fbcd18e49c0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to set the asset URI.  <a href="class_tri_lib_1_1_asset_downloader.html#a22bb387ce8a07c417144fbcd18e49c0a">More...</a><br /></td></tr>
<tr class="separator:a22bb387ce8a07c417144fbcd18e49c0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a404fe325deaf478e7d54055fc2e2cf"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#a7a404fe325deaf478e7d54055fc2e2cf">Timeout</a> = 2000</td></tr>
<tr class="memdesc:a7a404fe325deaf478e7d54055fc2e2cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to set the download timeout in seconds.  <a href="class_tri_lib_1_1_asset_downloader.html#a7a404fe325deaf478e7d54055fc2e2cf">More...</a><br /></td></tr>
<tr class="separator:a7a404fe325deaf478e7d54055fc2e2cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc863e03929a76e4806f524f5c78d4fc"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#afc863e03929a76e4806f524f5c78d4fc">AssetExtension</a></td></tr>
<tr class="memdesc:afc863e03929a76e4806f524f5c78d4fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to set the asset extension.  <a href="class_tri_lib_1_1_asset_downloader.html#afc863e03929a76e4806f524f5c78d4fc">More...</a><br /></td></tr>
<tr class="separator:afc863e03929a76e4806f524f5c78d4fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40fd3415cff45e49ecb24a1f6281b9f8"><td class="memItemLeft" align="right" valign="top">GameObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#a40fd3415cff45e49ecb24a1f6281b9f8">WrapperGameObject</a></td></tr>
<tr class="memdesc:a40fd3415cff45e49ecb24a1f6281b9f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to set the UnityEngine.GameObject to load the asset into.  <a href="class_tri_lib_1_1_asset_downloader.html#a40fd3415cff45e49ecb24a1f6281b9f8">More...</a><br /></td></tr>
<tr class="separator:a40fd3415cff45e49ecb24a1f6281b9f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cf827664108235641a29acb6f26c316"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#a4cf827664108235641a29acb6f26c316">ShowProgress</a></td></tr>
<tr class="memdesc:a4cf827664108235641a29acb6f26c316"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable this field to show loading progress on GUI.  <a href="class_tri_lib_1_1_asset_downloader.html#a4cf827664108235641a29acb6f26c316">More...</a><br /></td></tr>
<tr class="separator:a4cf827664108235641a29acb6f26c316"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecc15edfad10fcc61e22b885506c5fa9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#aecc15edfad10fcc61e22b885506c5fa9">Async</a></td></tr>
<tr class="memdesc:aecc15edfad10fcc61e22b885506c5fa9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable this field to load models asynchronously.  <a href="class_tri_lib_1_1_asset_downloader.html#aecc15edfad10fcc61e22b885506c5fa9">More...</a><br /></td></tr>
<tr class="separator:aecc15edfad10fcc61e22b885506c5fa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adde849dacf32f407b6a436abf8f7a948"><td class="memItemLeft" align="right" valign="top">AssimpInterop.ProgressCallback&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#adde849dacf32f407b6a436abf8f7a948">ProgressCallback</a></td></tr>
<tr class="memdesc:adde849dacf32f407b6a436abf8f7a948"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to pass a method that will be called on model loading progress.  <a href="class_tri_lib_1_1_asset_downloader.html#adde849dacf32f407b6a436abf8f7a948">More...</a><br /></td></tr>
<tr class="separator:adde849dacf32f407b6a436abf8f7a948"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:aedbac08f96ecdcd81d6528443b0a0cb0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#aedbac08f96ecdcd81d6528443b0a0cb0">Start</a> ()</td></tr>
<tr class="memdesc:aedbac08f96ecdcd81d6528443b0a0cb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks the AssetURI and AssetExtension and starts downloading the asset, if both are avaliable.  <a href="class_tri_lib_1_1_asset_downloader.html#aedbac08f96ecdcd81d6528443b0a0cb0">More...</a><br /></td></tr>
<tr class="separator:aedbac08f96ecdcd81d6528443b0a0cb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc2b6623f6c65be1ba63305baa4cf69d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#abc2b6623f6c65be1ba63305baa4cf69d">OnGUI</a> ()</td></tr>
<tr class="memdesc:abc2b6623f6c65be1ba63305baa4cf69d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the progress on screen, if ShowProgress is set to <code>true</code>.  <a href="class_tri_lib_1_1_asset_downloader.html#abc2b6623f6c65be1ba63305baa4cf69d">More...</a><br /></td></tr>
<tr class="separator:abc2b6623f6c65be1ba63305baa4cf69d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a30373aa294440ae7a3eee252444e62c7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#a30373aa294440ae7a3eee252444e62c7">HasStarted</a><code> [get]</code></td></tr>
<tr class="memdesc:a30373aa294440ae7a3eee252444e62c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a value indicating whether the download has started.  <a href="class_tri_lib_1_1_asset_downloader.html#a30373aa294440ae7a3eee252444e62c7">More...</a><br /></td></tr>
<tr class="separator:a30373aa294440ae7a3eee252444e62c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2452b0c1418221b7d7ab736ffafcf670"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#a2452b0c1418221b7d7ab736ffafcf670">IsDone</a><code> [get]</code></td></tr>
<tr class="memdesc:a2452b0c1418221b7d7ab736ffafcf670"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a value indicating whether the download is done.  <a href="class_tri_lib_1_1_asset_downloader.html#a2452b0c1418221b7d7ab736ffafcf670">More...</a><br /></td></tr>
<tr class="separator:a2452b0c1418221b7d7ab736ffafcf670"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac46ef7dda0ff923b6dafd7a90c622cf2"><td class="memItemLeft" align="right" valign="top">string??&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#ac46ef7dda0ff923b6dafd7a90c622cf2">Error</a><code> [get]</code></td></tr>
<tr class="memdesc:ac46ef7dda0ff923b6dafd7a90c622cf2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the last error message.  <a href="class_tri_lib_1_1_asset_downloader.html#ac46ef7dda0ff923b6dafd7a90c622cf2">More...</a><br /></td></tr>
<tr class="separator:ac46ef7dda0ff923b6dafd7a90c622cf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7462be0a265e58804d04fa931446350"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_downloader.html#ae7462be0a265e58804d04fa931446350">Progress</a><code> [get]</code></td></tr>
<tr class="memdesc:ae7462be0a265e58804d04fa931446350"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the download progress.  <a href="class_tri_lib_1_1_asset_downloader.html#ae7462be0a265e58804d04fa931446350">More...</a><br /></td></tr>
<tr class="separator:ae7462be0a265e58804d04fa931446350"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents an asset downloader. </p>
<p >Add this MonoBehaviour to any GameObject and set AssetURI and AssetExtension to automatically download the referenced model. </p>
<p >Enable TRILIB_USE_ZIP compiler symbol manually or tick "Enable Zip loading" on <a class="el" href="namespace_tri_lib.html">TriLib</a> menu to enable ZIP files processing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a19df8141f8b7365c27854859208918d5" name="a19df8141f8b7365c27854859208918d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19df8141f8b7365c27854859208918d5">&#9670;&nbsp;</a></span>DownloadAsset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetDownloader.DownloadAsset </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>assetURI</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>assetExtension</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a9daf3939b26812f1c6b8ce45223cebde">ObjectLoadedHandle</a>&#160;</td>
          <td class="paramname"><em>onAssetLoaded</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#ac56fe0608cd21923e33256816495b4f5">TexturePreLoadHandle</a>&#160;</td>
          <td class="paramname"><em>onTexturePreLoad</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a>&#160;</td>
          <td class="paramname"><em>options</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GameObject&#160;</td>
          <td class="paramname"><em>wrapperGameObject</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_tri_lib_1_1_assimp_interop.html#a870509c848be41938e5efe2df2dac82c">AssimpInterop.ProgressCallback</a>&#160;</td>
          <td class="paramname"><em>progressCallback</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Downloads an asset. </p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code>, if asset was downloaded, <code>false</code> otherwise.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">assetURI</td><td>Asset URI.</td></tr>
    <tr><td class="paramname">assetExtension</td><td>Asset extension.</td></tr>
    <tr><td class="paramname">onAssetLoaded</td><td>On asset loaded event.</td></tr>
    <tr><td class="paramname">onTexturePreLoad</td><td>On texture pre load event.</td></tr>
    <tr><td class="paramname">options</td><td>Asset loading options.</td></tr>
    <tr><td class="paramname">wrapperGameObject</td><td>Wrapper UnityEngine.GameObject to load the asset into.</td></tr>
    <tr><td class="paramname">progressCallback</td><td>Callback used to retrieve file loading percentage.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="abc2b6623f6c65be1ba63305baa4cf69d" name="abc2b6623f6c65be1ba63305baa4cf69d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc2b6623f6c65be1ba63305baa4cf69d">&#9670;&nbsp;</a></span>OnGUI()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.AssetDownloader.OnGUI </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Shows the progress on screen, if ShowProgress is set to <code>true</code>. </p>

</div>
</div>
<a id="aedbac08f96ecdcd81d6528443b0a0cb0" name="aedbac08f96ecdcd81d6528443b0a0cb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedbac08f96ecdcd81d6528443b0a0cb0">&#9670;&nbsp;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.AssetDownloader.Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Checks the AssetURI and AssetExtension and starts downloading the asset, if both are avaliable. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="afc863e03929a76e4806f524f5c78d4fc" name="afc863e03929a76e4806f524f5c78d4fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc863e03929a76e4806f524f5c78d4fc">&#9670;&nbsp;</a></span>AssetExtension</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.AssetDownloader.AssetExtension</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to set the asset extension. </p>
<p >(Eg: ".FBX") </p>
<p >Use ".ZIP" for ZIP files. </p>

</div>
</div>
<a id="a22bb387ce8a07c417144fbcd18e49c0a" name="a22bb387ce8a07c417144fbcd18e49c0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22bb387ce8a07c417144fbcd18e49c0a">&#9670;&nbsp;</a></span>AssetURI</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.AssetDownloader.AssetURI</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to set the asset URI. </p>

</div>
</div>
<a id="aecc15edfad10fcc61e22b885506c5fa9" name="aecc15edfad10fcc61e22b885506c5fa9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecc15edfad10fcc61e22b885506c5fa9">&#9670;&nbsp;</a></span>Async</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetDownloader.Async</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable this field to load models asynchronously. </p>

</div>
</div>
<a id="a0e9d788cb0c7838a9749ef57c0442f30" name="a0e9d788cb0c7838a9749ef57c0442f30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e9d788cb0c7838a9749ef57c0442f30">&#9670;&nbsp;</a></span>AutoStart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetDownloader.AutoStart = true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to start the download automatically. </p>

</div>
</div>
<a id="adde849dacf32f407b6a436abf8f7a948" name="adde849dacf32f407b6a436abf8f7a948"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adde849dacf32f407b6a436abf8f7a948">&#9670;&nbsp;</a></span>ProgressCallback</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AssimpInterop.ProgressCallback TriLib.AssetDownloader.ProgressCallback</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to pass a method that will be called on model loading progress. </p>

</div>
</div>
<a id="a4cf827664108235641a29acb6f26c316" name="a4cf827664108235641a29acb6f26c316"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cf827664108235641a29acb6f26c316">&#9670;&nbsp;</a></span>ShowProgress</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetDownloader.ShowProgress</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable this field to show loading progress on GUI. </p>

</div>
</div>
<a id="a7a404fe325deaf478e7d54055fc2e2cf" name="a7a404fe325deaf478e7d54055fc2e2cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a404fe325deaf478e7d54055fc2e2cf">&#9670;&nbsp;</a></span>Timeout</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int TriLib.AssetDownloader.Timeout = 2000</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to set the download timeout in seconds. </p>

</div>
</div>
<a id="a40fd3415cff45e49ecb24a1f6281b9f8" name="a40fd3415cff45e49ecb24a1f6281b9f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40fd3415cff45e49ecb24a1f6281b9f8">&#9670;&nbsp;</a></span>WrapperGameObject</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GameObject TriLib.AssetDownloader.WrapperGameObject</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to set the UnityEngine.GameObject to load the asset into. </p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="ac46ef7dda0ff923b6dafd7a90c622cf2" name="ac46ef7dda0ff923b6dafd7a90c622cf2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac46ef7dda0ff923b6dafd7a90c622cf2">&#9670;&nbsp;</a></span>Error</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string?? TriLib.AssetDownloader.Error</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the last error message. </p>
<p >The error message.</p>

</div>
</div>
<a id="a30373aa294440ae7a3eee252444e62c7" name="a30373aa294440ae7a3eee252444e62c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30373aa294440ae7a3eee252444e62c7">&#9670;&nbsp;</a></span>HasStarted</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetDownloader.HasStarted</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets a value indicating whether the download has started. </p>
<p ><code>true</code> if this download has started; otherwise, <code>false</code>.</p>

</div>
</div>
<a id="a2452b0c1418221b7d7ab736ffafcf670" name="a2452b0c1418221b7d7ab736ffafcf670"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2452b0c1418221b7d7ab736ffafcf670">&#9670;&nbsp;</a></span>IsDone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.AssetDownloader.IsDone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets a value indicating whether the download is done. </p>
<p ><code>true</code> if this download is done; otherwise, <code>false</code>.</p>

</div>
</div>
<a id="ae7462be0a265e58804d04fa931446350" name="ae7462be0a265e58804d04fa931446350"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7462be0a265e58804d04fa931446350">&#9670;&nbsp;</a></span>Progress</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float TriLib.AssetDownloader.Progress</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the download progress. </p>
<p >The download progress.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/<a class="el" href="_asset_downloader_8cs.html">AssetDownloader.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_asset_downloader.html">AssetDownloader</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
